package com.ss.android.ugc.aweme.publish.api;

import X.FRS;
import X.JMA;
import X.PUw;
import X.PgV;
import com.bytedance.covode.number.Covode;

public interface IGetVideoInfoApi {
    static {
        Covode.recordClassIndex(101112);
    }

    @JMA(LIZ = "/tiktok/v1/video/query_url/")
    PgV<FRS> getVideoInfoByURL(@PUw(LIZ = "video_url") String str);

    @JMA(LIZ = "/tiktok/v1/video/query_url/v2")
    PgV<FRS> getVideoInfoByURLV2(@PUw(LIZ = "video_url") String str);
}
